import antfu from '@antfu/eslint-config'
import enforceScriptSetupTag from './eslint_rules/enforce-script-setup-tag.js'

export default antfu(
  {
    unocss: true,
  },
  {
    ignores: ['src/components/ui/**'],
  },
  {
    rules: {
      'nextvs/enforce-script-setup-tag': 'error',
      'unocss/order-attributify': 'error',
    },
    plugins: {
      nextvs: {
        rules: {
          'enforce-script-setup-tag': enforceScriptSetupTag,
        },
      },
    },
  },
)
