import LoginOIDCReceiver from '@/views/LoginOIDCReceiver.vue'
import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import LoginView from '../views/LoginView.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      meta: {
        resolveName: () => 'Home',
      },
      component: HomeView,
    },
    {
      path: '/login',
      name: 'login_view',
      component: LoginView,
      meta: {
        resolveName: () => 'Login',
      },
    },
    {
      path: '/oic_login',
      name: 'oic_login',
      component: LoginOIDCReceiver,
      meta: {
        resolveName: () => 'Login',
      },
    },
  ],
})

export default router
